declare function findIndex<T>(arr: readonly T[], searchValue: number, getValue: (value: T) => number): number;
declare function AlternatingIndexGenerator(length: number, startIndex?: number): Generator<number, void, unknown>;
declare function findIndexWithPivot<T, V = number>(arr: readonly T[], pivotIndex: number, searchValue: V, getValue: (value: T) => V, matches: (value: T) => boolean): number;
declare class IterableStreamClosedError extends Error {
    name: string;
    constructor();
}
declare function readToEnd<T>(iterable: AsyncIterable<T>): Promise<T[]>;
declare function equals<T>(a: readonly T[], b: readonly T[]): boolean;
declare function sortedIndex<T>(arr: readonly T[], value: T, mapper: (t: T) => number): number;
declare function insertSorted<T>(arr: T[], getValue: (val: T) => number, ...values: T[]): boolean;
declare const _default: {
    Sorted: {
        findIndex: typeof findIndex;
        findIndexWithPivot: typeof findIndexWithPivot;
        insertSorted: typeof insertSorted;
        sortedIndex: typeof sortedIndex;
    };
    AlternatingIndexGenerator: typeof AlternatingIndexGenerator;
    IterableStreamClosedError: typeof IterableStreamClosedError;
    readToEnd: typeof readToEnd;
    equals: typeof equals;
};
export default _default;
